<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    <h2>Editace oblasti</h2>
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="ID"></h:outputLabel>
				<h:outputText value="#{oblastBean.oblast.idOblast}">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Název"></h:outputLabel>
				<h:inputText value="#{oblastBean.oblast.nazev}" required="true"
					requiredMessage="Název je povinný"
					validatorMessage="Název je příliš krátký">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Taxa za odvoz"></h:outputLabel>
				<h:inputText value="#{oblastBean.oblast.taxaZaOdvoz}" required="true"
					requiredMessage="Taxa za odvoz je povinná"
					validatorMessage="Taxa nesmí být záporná">
					<f:validateDoubleRange minimum="0.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>

				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			
			<h2>Adresy</h2>
			<h:dataTable value="#{oblastBean.oblast.adresy}"
			             var="adresa"
			             styleClass="table"
			             columnClasses="text-left,text-left,text-right,text-right">
				<h:column>
					<f:facet name="header">
						Obec
					</f:facet>
					<h:outputText value="#{adresa.obec}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Ulice
					</f:facet>
					<h:outputText value="#{adresa.ulice}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Číslo
					</f:facet>
					<h:outputText value="#{adresa.cislo}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						PSČ
					</f:facet>
					<h:outputText value="#{adresa.psc}"></h:outputText>
				</h:column>
			</h:dataTable>

			<h2>Zaměstnanci</h2>
			<h:dataTable value="#{oblastBean.oblast.dodavatele}"
			             var="dodavatel"
			             styleClass="table">
				<h:column>
					<f:facet name="header">
						Jméno
					</f:facet>
					<h:outputText value="#{dodavatel.jmeno}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Příjmení
					</f:facet>
					<h:outputText value="#{dodavatel.prijemni}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Login
					</f:facet>
					<h:outputText value="#{dodavatel.login}"></h:outputText>
				</h:column>
			</h:dataTable>

			<div class="blok">
				<h:commandButton action="#{oblastBean.actionUpdate}" styleClass="button" value="Uložit"></h:commandButton>
				<h:commandButton action="cancel" styleClass="button" value="Zrušit"></h:commandButton>
			</div>
			
		</h:form>
	</ui:define>
</ui:composition>
</html>
